[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WordRec

Record describing a word value.

## Declaration

Source position: sysutilh.inc line 56

`type WordRec = packed record`
`Hi: Byte;` |  | High byte of the word
`Lo: Byte;` |  | Low byte of the word.
`end;`

## Description

LongRec can be used to extract the parts of a word: the high and low byte. Note that the meaning of the High and Low parts are different on various CPUs.

## See also

LongRec |  | Record describing a longint value
Int64Rec |  | Record describing an Int64 value

Documentation generated on: Feb 26 2014